/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.CancelacionCtrl;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Rafius
 */
public class RenderConfiguracionCancelacion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		CancelacionCtrl cancelacion = (CancelacionCtrl) o;

		Listcell lc = new Listcell(cancelacion.getCancelacionctrlId() == null ? "" : cancelacion.getCancelacionctrlId().toString());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getMarca() == null ? "" : cancelacion.getMarca().getDescmarca());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getParadaOrigem() == null ? "" : cancelacion.getParadaOrigem().getCveparada());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getParadaDestino() == null ? "" : cancelacion.getParadaDestino().getCveparada());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getPuntoVenta() == null ? "" : cancelacion.getPuntoVenta().getNombpuntoventa());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getMotivoCancelacion() == null ? "" : cancelacion.getMotivoCancelacion().getDescmotivo());
		lc.setParent(lstm);

		lc = new Listcell(cancelacion.getOrgaoConcedente() == null ? "" : cancelacion.getOrgaoConcedente().getDescOrgao());
		lc.setParent(lstm);

		lstm.setAttribute("data", cancelacion);
	}
}
